Skip to content

Update Endpoint

PATCH
/api/v1/recurring-snapshots/{rs_id}
curl --request PATCH \
--url https://example.com/api/v1/recurring-snapshots/1 \
--header 'Content-Type: application/json' \
--data '{ "frequency": "example", "day_of_week": 1, "day_of_month": 1, "balance": 1, "note": "example", "enabled": true }'
rs_id
required
Rs Id
integer
Media typeapplication/json
RecurringSnapshotUpdate
object
frequency
Any of:
string
/^(weekly|monthly)$/
day_of_week
Any of:
integer
<= 6
day_of_month
Any of:
integer
>= 1 <= 31
balance
Any of:
number
note
Any of:
string
<= 500 characters
enabled
Any of:
boolean

Example generated

{
"frequency": "example",
"day_of_week": 1,
"day_of_month": 1,
"balance": 1,
"note": "example",
"enabled": true
}

Successful Response

Media typeapplication/json
RecurringSnapshotOut
object
id
required
Id
integer
account_id
required
Account Id
integer
frequency
required
Frequency
string
day_of_week
required
Any of:
integer
day_of_month
required
Any of:
integer
balance
required
Any of:
string
currency
required
Currency
string
note
required
Any of:
string
enabled
required
Enabled
boolean
last_run_at
required
Any of:
string format: date-time
next_run_at
required
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Example generated

{
"id": 1,
"account_id": 1,
"frequency": "example",
"day_of_week": 1,
"day_of_month": 1,
"balance": "example",
"currency": "example",
"note": "example",
"enabled": true,
"last_run_at": "2026-04-15T12:00:00Z",
"next_run_at": "2026-04-15T12:00:00Z",
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}